import { HttpErrorResponse } from '@angular/common/http';

// redefinition (alias) for autogenerated backend type
export type HttpError = HttpErrorResponse;
export const VALIDATION_ERROR_STATUS_CODE = 401;
export const FORBIDDEN_ERROR_STATUS_CODE = 403;
export const EXAMINATION_CLOSED_ERROR_STATUS_CODE = 423;

export type SelectionError =
  | 'NO_SCOPE_SELECTION'
  | 'NO_SLIDE_SELECTION';
